C API Functions

## udbKindListCopy

### Description

Return an allocated copy of the specified kindlist.

Use udbKindListFree() to free the kindlist when done.

Refer to the language-specific listings of entity and reference kinds in the Appendix Entity and Reference Kinds.

### Syntax

     #include "udb/udb.h"
     UdbKindList  udbKindListCopy(UdbKindList);

### Arguments

Argument | description
UdbKindList *kindlist | The kindlist to copy

### Return Values

Return Value | description
UdbKindList * | Allocated copy of the specified kindlist

### Example Usage

      newkindlist = udbKindListCopy(kindlist);

### See Also

udbKindList to add a specified kind to the specified kindlist.

udbKindListFree to free the kindlist.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com